﻿data:extend(
{
	{
		type = "projectile",
		name = "water-explosive",
		flags = { "not-on-map" },		
		acceleration = 0.005,
		hidden = true,
		action = 
		{
			{
				type = "direct",			
				action_delivery = 
				{
					type = "instant",					
					target_effects = 
					{
						{
							type = "create-entity",						
							entity_name = "grenade-explosion"
						},             
						{
							type = "script",
							effect_id = "explosive-water-explosion"
						},
						{
							type = "invoke-tile-trigger",						
							repeat_count = 1
						},
						{
							type = "destroy-decoratives",						
							decoratives_with_trigger_only = false,
							from_render_layer = "decorative",
							include_decals = false,
							include_soft_decoratives = true,
							invoke_decorative_trigger = true,
							radius = 0.001,
							to_render_layer = "object",
						}
					}
				}

			},
			{
				type = "area",			
				radius = 6.0,
				action_delivery = 
				{
					type = "instant",				
					target_effects = 
					{
						{
							type = "damage",						
							damage = 
							{
								type = "explosion",							
								amount = 100
							}
						},
						{
							type = "create-entity",						
							entity_name = "explosion"
						}
					}
				}
			}
		},
		animation = 
		{
			animation_speed = 0.25,
			draw_as_glow = true,
			filename = "__modmashsplinterexplosivewater__/graphics/entity/explosive/explosives.png",
			frame_count = 16,
			height = 54,
			line_length = 8,
			priority = "high",
			scale = 0.5,
			shift = { 0.015625, 0.015625 },
			width = 48
		},
		light = 
		{
			intensity = 0.5,
			size = 4
		},
		shadow = 
		{
			animation_speed = 0.25,
			draw_as_shadow = true,
			filename = "__modmashsplinterexplosivewater__/graphics/entity/explosive/explosives-shadow.png",
			frame_count = 16,
			height = 40,
			line_length = 8,
			priority = "high",
			scale = 0.5,
			shift = { 0.0625, 0.1875 },
			width = 50
		}
	},
	{
		type = "capsule",	
		name = "water-explosive",		
		icon = "__modmashsplinterexplosivewater__/graphics/icons/water-explosive-explosives.png",
		icon_size = 64,
		subgroup = "terrain",		
		order = "d[cliff-explosives]-b[water-explosive]",
		stack_size = 20,
		capsule_action = 
		{
			type = "throw",		
			attack_parameters = 
			{
				type = "projectile",
				activation_type = "throw",				
				cooldown = 30,
				projectile_creation_distance = 0.6,
				range = 10,
				ammo_category = "grenade",
				ammo_type = 
				{
					category = "grenade",
					target_type = "position",				
					action = 
					{
						{
							type = "direct",						
							action_delivery = 
							{
								type = "projectile",						
								projectile = "water-explosive",
								starting_speed = 0.3
							}
						},
						{
							type = "direct",						
							action_delivery = 
							{
								type = "instant",							
								target_effects = 
								{
									{
										type = "play-sound",									
										sound = 
										{
											{
												filename = "__base__/sound/fight/throw-projectile-1.ogg",
												volume = 0.4
											},
											{
												filename = "__base__/sound/fight/throw-projectile-2.ogg",
												volume = 0.4
											},
											{
												filename = "__base__/sound/fight/throw-projectile-3.ogg",
												volume = 0.4
											},
											{
												filename = "__base__/sound/fight/throw-projectile-4.ogg",
												volume = 0.4
											},
											{
												filename = "__base__/sound/fight/throw-projectile-5.ogg",
												volume = 0.4
											},
											{
												filename = "__base__/sound/fight/throw-projectile-6.ogg",
												volume = 0.4
											}
										}
									}                    
								}
							}
						}
					}
				}
			}
		}
	}
})